SCO Unixware i2odialogd Remote Buffer Overflow Vulnerability

UnixWare is a variant of the Unix operating system originally written by SCO, and distributed and maintained by Caldera.

i20dialogd is a daemon which provides a front-end for controlling the i20 subsystem. It is shipped with SCO Unixware and installed running as root by default. In its authentication mechanism exists a serious buffer overflow vulnerability. The username/password buffers are of a fixed length (88+ characters) with no bounds checking performed on them. Because of this it is possible to overflow the buffer, corrupt the stack and overwrite the return address altering the flow of execution (and running arbitrary code). It should be noted that exploit code must be encoded (base64) before being sent to the server.


 

Privacy Statement
Copyright 2010, SecurityFocus